#loading-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 9999;
  display: flex;
  justify-content: center;
  align-items: center;
}

#loading-overlay .loading-content {
  background-color: white;
  padding: 30px 40px;
  border-radius: 8px;
  text-align: center;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  display: inline-flex;
}

#loading-overlay .loading-spinner {
  width: 3rem;
  height: 3rem;
}

#loading-overlay .loading-message {
  margin: 1rem;
  font-size: 16px;
  color: #333;
}

#importModalBody {
  --ion-padding-horizontal: 5px;
  min-width: 100%;
}

#singleDeleteWarning {
  --ion-padding-horizontal: 5px;
  --ion-padding-vertical: 5px;
}

/* Chunked Job Runner Modal Custom Styles  */
.cjr-stage {
  color: var(--bs-success);
}
.progress {
  background-color: var(--bs-success-bg);
}

.progress-bar {
  background-color: var(--bs-success) !important;
  color: var(--bs-white);
}
